# AddToAny Field

Field type extended from core link called "AddToAny" to specify a link and title to share through AddToAny.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/addtoany_field).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/addtoany_field).


## Table of contents

- Requirements
- Installation
- Configuration


## REQUIREMENTS

This module requires the following modules:

- [Drupal Core Link](https://www.drupal.org/project/drupal)
- [AddToAny](https://www.drupal.org/project/addtoany)


## INSTALLATION

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## CONFIGURATION

### Default
- Add a field of type AddToAny (under General).
- The field widget is the same as a link field.
- Update the share "URL" and "Link text" fields.
- Use the "Manage Display" settings to place the field.
- The formatter will automatically be set to the "AddToAny Field Formatter".


### Self Link
When editing the field settings, there is an option for "Always Link to Self".  When enabled, the link should always
point to this node. This is useful when embedding this into a view or a block. Enabling this option will hide the field
from the form, and will always use the value to the node alias.


## Maintainers

- Scott Earnest - [scott_earnest](https://www.drupal.org/u/scott_earnest)
